######################################################
# SpecFile: rosa-media-player.spec 
# Generato: http://www.mandrivausers.ro/
# MRB-Falticska Florin
######################################################
%define use_ccache	1
%define ccachedir	~/.ccache-OOo%{distsuffix}
%{?_with_ccache: %global use_ccache 1}
%{?_without_ccache: %global use_ccache 0}
%define  dist	stella
%define debug_package	%{nil}




Summary:	Multimedia player based on mplayer technology
Name:		rosa-media-player
Version:	1.6
Release:	69%{?dist}
License:	GPLv2+
Group:		Video
Url:		http://www.rosalinux.com
Source:		%{name}-%{version}.tar.gz
Patch0:		romp-1.6-symbianflo.patch
BuildRequires:	qt4-devel	>= 4.2.0
BuildRequires:	alsa-lib-devel
BuildRequires:	wildmidi-devel
BuildRequires:	qjson-devel
Requires:	xdg-utils
Requires:	mplayer		
Requires:	mencoder
Requires:	ffmpeg
Requires:	xdg-utils
Requires:	fluid-soundfont-lite-patches
Requires:	wildmidi
Requires:	qjson
Requires:	wget

BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Rosa Media Player (ROMP) - multimedia player that supports most of audio and video formats such as Audio CD, DVD, Video CD,
multimedia files in AVi, ASF/WMV/WMA, MOV/MP4, RealMedia, Ogg Vorbis, NUT, NSV, VIVO, FLI, NuppelVideo, yuv4mpeg, FILM (.cpk),
RoQ, PVA and Matroska  formats recorded with video codecs - DivX , MPEG-1, MPEG-2, MPEG-4, Sorenson, WMV, RealVideo, x264
and audio codecs MP3, Musepack, Vorbis, RealAudio, AC3/A52 (Dolby Digital), AAC (MPEG-4 audio), QuickTime, VIVO audio and WMA
and many other less widespread video and audio codecs.
It also supports streaming via HTTP/FTP, RTP/RTSP, MMS/MMST, MPST, SDP, capture and record (via mencoder) of television signal.
ROMP allows you to trim a particular piece of video, extract audio from multimedia files and record screen presentations and
many other things.

%prep
%setup -q -n %{name}

%build
qt_prefix=`pkg-config --variable=exec_prefix QtCore` || :
if [ "$qt_prefix" = "" ]; then
  qt_prefix=`ls -d %{_libdir}/qt4* 2>/dev/null | tail -n 1`
fi

if ! echo ${PATH} | /bin/grep -q $qt_prefix/bin ; then
   PATH=$qt_prefix/bin:${PATH}
fi
make PREFIX=%{_prefix}


%install
rm -rf %{buildroot}
qt_prefix=`pkg-config --variable=exec_prefix QtCore` || :
if [ "$qt_prefix" = "" ]; then
  qt_prefix=`ls -d %{_libdir}/qt4* 2>/dev/null | tail -n 1`
fi

if ! echo ${PATH} | /bin/grep -q $qt_prefix/bin ; then
   PATH=$qt_prefix/bin:${PATH}
fi
make PREFIX=%{_prefix} DESTDIR=%{buildroot}/ install

# remove wrongly put docs
rm -rf %{buildroot}%{_datadir}/doc

%post
update-desktop-database &> /dev/null

%postun
update-desktop-database &> /dev/null

# remove wrongly put docs
rm -rf %{buildroot}%{_datadir}/doc

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%doc *.txt docs/*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/shortcuts
%dir %{_datadir}/%{name}/translations

%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/%{name}/*.conf
%{_datadir}/icons/hicolor/*/apps/rosamp.png
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/shortcuts/*
%{_datadir}/apps/solid/actions/

%lang(ar_SY) %{_datadir}/%{name}/translations/rosamp_ar_SY.qm
%lang(cs) %{_datadir}/%{name}/translations/rosamp_cs.qm
%lang(de) %{_datadir}/%{name}/translations/rosamp_de.qm
%lang(en) %{_datadir}/%{name}/translations/rosamp_en.qm
%lang(es) %{_datadir}/%{name}/translations/rosamp_es.qm
%lang(et) %{_datadir}/%{name}/translations/rosamp_et.qm
%lang(fi) %{_datadir}/%{name}/translations/rosamp_fi.qm
%lang(fr) %{_datadir}/%{name}/translations/rosamp_fr.qm
%lang(gl) %{_datadir}/%{name}/translations/rosamp_gl.qm
%lang(hu) %{_datadir}/%{name}/translations/rosamp_hu.qm
%lang(it) %{_datadir}/%{name}/translations/rosamp_it.qm
%lang(ja) %{_datadir}/%{name}/translations/rosamp_ja.qm
%lang(ku) %{_datadir}/%{name}/translations/rosamp_ku.qm
%lang(lt) %{_datadir}/%{name}/translations/rosamp_lt.qm
%lang(mk) %{_datadir}/%{name}/translations/rosamp_mk.qm
%lang(nl) %{_datadir}/%{name}/translations/rosamp_nl.qm
%lang(pl) %{_datadir}/%{name}/translations/rosamp_pl.qm
%lang(pt_BR) %{_datadir}/%{name}/translations/rosamp_pt_BR.qm
%lang(pt_pt) %{_datadir}/%{name}/translations/rosamp_pt.qm
%lang(ro_RO) %{_datadir}/%{name}/translations/rosamp_ro_RO.qm
%lang(ru_RU) %{_datadir}/%{name}/translations/rosamp_ru_RU.qm
%lang(sl) %{_datadir}/%{name}/translations/rosamp_sl.qm
%lang(tr) %{_datadir}/%{name}/translations/rosamp_tr.qm
%lang(uk_UA) %{_datadir}/%{name}/translations/rosamp_uk_UA.qm
%lang(vi) %{_datadir}/%{name}/translations/rosamp_vi_VN.qm
%lang(zh_CN) %{_datadir}/%{name}/translations/rosamp_zh_CN.qm
%lang(zh_TW) %{_datadir}/%{name}/translations/rosamp_zh_TW.qm




%changelog
* Sat Apr 06 2013 Falticska Florin <symbianflo@fastwebnet.it> 1.6-69stella
- New upstream release
- Build for stella project
- MRB-Mandriva Users.Ro

* Wed Sep 12 2012 Falticska Florin <symbianflo@fastwebnet.it> 1.5-69stella
- New upstream release
- Build for stella project
- MRB-Mandriva Users.Ro

* Tue Jun 26 2012 Falticska Florin <symbianflo@fastwebnet.it> 1.0-69.3stella
- New stable relese
- added upstream midi suport 
- Build for stella project
- MRB-Mandriva Users.Ro

* Wed Apr 18 2012 Falticska Florin <symbianflo@fastwebnet.it>  1.0-69.1stella
- New stable relese
- screencast and audio track extract, new features
- Build for stella project
- MRB-Mandriva Users.Ro

* Sat Apr 07 2012 Falticska Florin <symbianflo@fastwebnet.it>  1.0-69.stella
- Imported the beta from rosa LTS for stella project
- MRB-Mandriva Users.Ro

* Mon Dec 19 2011 Evgeniy Auginev <eauginev@mandriva.org> 0.952-4mdv2012.0
+ Revision: 743747
- audio files playing interface error fixed

* Fri Dec 16 2011 Evgeniy Auginev <eauginev@mandriva.org> 0.952-2
+ Revision: 743050
-copy parameter added on split video function

* Fri Dec 09 2011 Evgeniy Auginev <eauginev@mandriva.org> 0.952-1
+ Revision: 739438
- Playlist item hints added; free-space calculating algorithm changed for split video function; one running instance option fixed

* Mon Nov 28 2011 Evgeniy Auginev <eauginev@mandriva.org> 0.951-3
+ Revision: 734874
- fix archive name
- change version number

* Mon Nov 28 2011 Alex Burmashev <burmashev@mandriva.org> 0.95-3
+ Revision: 734825
- import rosa-media-player








